Redmine - Feature #28085

Wiki Toolbar on Full Width Custom Fields
2018-01-26 15:56 - Stephen Stuart

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Custom fields Estimated time: 0.00 hour

Target version:

Resolution: Duplicate

Description

Upon upgrading to version 3.4.4 we noticed we now have the ability to have custom long text fields with Full Width Layout and Text
Formatting options.

When editing an issue, fields with these options should also have the wiki toolbar displayed.
We were able to make it appear by adding a call to wikitoolbar_for in app/views/issues/_form_custom_fields.html.erb as follows:

<% custom_field_values_full _width.each do |value| %>

<p><%= custom_field_tag_with_label :issue, wvalue, :required => @issue.required_attribute? (value.
custom_field_id) %>

<%= wikitoolbar_for custom_field tag_id :issue, value.custom_field %>

</p>
<% end %>

Note that I'm not checking the Text Formatting option so all full width fields have the toolbar.

Related issues:

Related to Redmine - Patch #21705: Option for long text custom fields to be d... Closed
Is duplicate of Redmine - Feature #29712: Preview and wiki toolbar for full w... Closed
History

#1 - 2018-02-07 12:32 - Osamu Murayama
- File patch.ixt added

| upload my patch. All (not only issue's) custom fields which format_type "text" and text_formatting "full" have the wiki toolbar in there edit forms.
And you can preview at "project setting" and issue's form.

#2 - 2018-02-07 13:35 - Mischa The Evil
- Related to Patch #21705: Option for long text custom fields to be displayed using full width added

#3 - 2018-02-20 15:40 - Go MAEDA
- File wiki-toolbar-and-preview-for-full-width-cf@2x.png added

- Target version set to Candidate for next major release

Osamu Murayama, thank you for sharing the patch. Preview for full-width custom fields is especially nice.
The quick brown fox jumps over the lazy dog.

Marius, could you review this patch? | think you are the right person to check this patch because you implemented full-width custom fields (#21705)

and now working to improve preview (#27758).

#4 - 2018-02-22 21:33 - Marius BALTEANU
Go MAEDA wrote:

Marius, could you review this patch? | think you are the right person to check this patch because you implemented full-width custom fields (

#21705) and now working to improve preview (#27758).

Go MAEDA, I'll be happy to review this patch, but first | would like to take a call regarding #27758. | think that this feature can be implemented easier

after the preview tab is added to the core.

#5 - 2018-02-24 00:42 - Mischa The Evil
- File patch.patch added

I'll attach the same patch, but renamed so that it is recognized by Redmine as a patch (which will ease the review process of it).

#6 - 2018-10-02 09:32 - Go MAEDA
- Related to Feature #29712: Preview and wiki toolbar for full width custom fields added

#7 - 2018-10-28 21:55 - Marius BALTEANU
- Related to deleted (Feature #29712: Preview and wiki toolbar for full width custom fields)

#8 - 2018-10-28 21:56 - Marius BALTEANU

- Is duplicate of Feature #29712: Preview and wiki toolbar for full width custom fields added

#9 - 2018-10-28 21:57 - Marius BALTEANU
- Status changed from New to Closed
- Target version deleted (Candidate for next major release)

- Resolution set to Duplicate

I'm closing this in favour of #29712 where we started the discussions to implement this feature.

Files
patch.txt 7.89 KB 2018-02-07 Osamu Murayama
wiki-toolbar-and-preview-for-full-width-cf@2x.png 40.8 KB 2018-02-20 Go MAEDA
patch.patch 7.89 KB 2018-02-23 Mischa The Evil
